Skip to content
This repository

0.9.6.3

Bump dependencies. Release as 0.9.6.3.

0.9.6.2

Bump case-insensitive dependency.

0.9.6.0

Bump attoparsec and text deps.

0.9.5.0

Re-allow hashable >= 1.2.1.

0.9.4.0

Hashable is still messed up. Blacklist 1.2.

0.9.3.1

Relax case-insensitive bounds (didn't realize the lower bound got bum…
…ped so aggressively)

0.9.3

Bump version number down to 0.9.3 (no reason to go to 0.10 now that w…
…e've decoupled snap version)

0.9.2.2

Allow vector 0.11 in testsuite

0.9.1

Add `Num` constraint for `base-4.6` compatibility
Starting with `base-4.6` the `Bits` class does not have
a `Num` superclass anymore.

0.9.0

Merge commit 'c9e094b701ff63e0f0f5db9ce3344bd0cfd1a2d6'

0.8.1

Bump dependencies and set version to 0.8.1.

0.8.0.1

Fix test-framework dependency breakage

0.8.0

Destrictify some less often used fields in Request, and remove unused…
… rqSnapletPath altogether.

0.7.0

Bump master version to 0.7.

0.6.0.1

Explicitly list all used extensions

0.5.5

Add a 'noCompression' function to the gzip utilities.

0.5.3.1

Bump base version to 4.3.

0.5.3

Merge pull request #89 from hvr/master
GHC 7.2.1 fixes for snap-core test-suite

0.5.2

Upgrade to latest enumerator, which fixes a bug in catchError

0.5.1.3

Add SVG to mime type map (closes #76)

0.5.1.2

Bump enumerator version (closes #75)

0.5.0

Change version '0.5' to '0.5.0'

0.4.3

Flatten snap monad return type

0.4.2

Increase test coverage; tests for bracketSnap, cover some autoderived…
… instances, etc

0.4.0.2

Another fix for the MonadCatchIO instance re: divergent iteratees

0.3.1

Fix build issues w.r.t. enumerator 0.4.5

0.3.0

Remove old explicit package imports

0.2.16

Fix Snap.Util.FileServe.getSafePath to reject non-relative paths

0.2.15

Bump heist version dep in project template.

0.2.14

Update text dependency to 0.10

0.2.13

More tests and a couple of small bugfixes for range support

0.2.12

Reintroduce inline pragmas for NODEBUG

0.2.11

Fix another mapM_ issue

0.2.9

testFormatLogTime should not depend on being GMT-0500!!!

0.2.8.1

Temporarily back up version # to release 0.2.8.1
Something went wrong with that request. Please try again.